Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network181.7.0.0/18
Usable hosts16,382
Subnet mask255.255.192.0
Addresses16,384
Network address
181.7.0.0
Broadcast address
181.7.63.255
First usable
181.7.0.1
Last usable
181.7.63.254
Usable hosts
16,382 (16,384 less the network and broadcast addresses)
Subnet mask
255.255.192.0
Wildcard mask
0.0.63.255 (Cisco ACLs, OSPF)
Prefix length
/18
Type
Public public
Old class
B (default /16)
As numbers
Hex B5070000 · Integer 3037134848 to 3037151231
Reverse DNS zones
0.7.181.in-addr.arpa
1.7.181.in-addr.arpa
2.7.181.in-addr.arpa
3.7.181.in-addr.arpa
4.7.181.in-addr.arpa
5.7.181.in-addr.arpa
6.7.181.in-addr.arpa
7.7.181.in-addr.arpa
8.7.181.in-addr.arpa
9.7.181.in-addr.arpa
10.7.181.in-addr.arpa
11.7.181.in-addr.arpa
12.7.181.in-addr.arpa
13.7.181.in-addr.arpa
14.7.181.in-addr.arpa
15.7.181.in-addr.arpa
and 48 more
/18 is not on a 8-bit boundary, so it takes 64 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10110101.00000111.00000000.00000000181.7.0.0
Subnet mask11111111.11111111.11000000.00000000255.255.192.0
Network10110101.00000111.00000000.00000000181.7.0.0
Broadcast10110101.00000111.00111111.11111111181.7.63.255
Split into smaller subnets/29

181.7.0.0/18 makes 2,048 subnets of /29; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1181.7.0.0/29181.7.0.1 to 181.7.0.6181.7.0.76
2181.7.0.8/29181.7.0.9 to 181.7.0.14181.7.0.156
3181.7.0.16/29181.7.0.17 to 181.7.0.22181.7.0.236
4181.7.0.24/29181.7.0.25 to 181.7.0.30181.7.0.316
5181.7.0.32/29181.7.0.33 to 181.7.0.38181.7.0.396
6181.7.0.40/29181.7.0.41 to 181.7.0.46181.7.0.476
7181.7.0.48/29181.7.0.49 to 181.7.0.54181.7.0.556
8181.7.0.56/29181.7.0.57 to 181.7.0.62181.7.0.636
9181.7.0.64/29181.7.0.65 to 181.7.0.70181.7.0.716
10181.7.0.72/29181.7.0.73 to 181.7.0.78181.7.0.796
11181.7.0.80/29181.7.0.81 to 181.7.0.86181.7.0.876
12181.7.0.88/29181.7.0.89 to 181.7.0.94181.7.0.956
13181.7.0.96/29181.7.0.97 to 181.7.0.102181.7.0.1036
14181.7.0.104/29181.7.0.105 to 181.7.0.110181.7.0.1116
15181.7.0.112/29181.7.0.113 to 181.7.0.118181.7.0.1196
16181.7.0.120/29181.7.0.121 to 181.7.0.126181.7.0.1276
17181.7.0.128/29181.7.0.129 to 181.7.0.134181.7.0.1356
18181.7.0.136/29181.7.0.137 to 181.7.0.142181.7.0.1436
19181.7.0.144/29181.7.0.145 to 181.7.0.150181.7.0.1516
20181.7.0.152/29181.7.0.153 to 181.7.0.158181.7.0.1596
21181.7.0.160/29181.7.0.161 to 181.7.0.166181.7.0.1676
22181.7.0.168/29181.7.0.169 to 181.7.0.174181.7.0.1756
23181.7.0.176/29181.7.0.177 to 181.7.0.182181.7.0.1836
24181.7.0.184/29181.7.0.185 to 181.7.0.190181.7.0.1916
25181.7.0.192/29181.7.0.193 to 181.7.0.198181.7.0.1996
26181.7.0.200/29181.7.0.201 to 181.7.0.206181.7.0.2076
27181.7.0.208/29181.7.0.209 to 181.7.0.214181.7.0.2156
28181.7.0.216/29181.7.0.217 to 181.7.0.222181.7.0.2236
29181.7.0.224/29181.7.0.225 to 181.7.0.230181.7.0.2316
30181.7.0.232/29181.7.0.233 to 181.7.0.238181.7.0.2396
31181.7.0.240/29181.7.0.241 to 181.7.0.246181.7.0.2476
32181.7.0.248/29181.7.0.249 to 181.7.0.254181.7.0.2556
33181.7.1.0/29181.7.1.1 to 181.7.1.6181.7.1.76
34181.7.1.8/29181.7.1.9 to 181.7.1.14181.7.1.156
35181.7.1.16/29181.7.1.17 to 181.7.1.22181.7.1.236
36181.7.1.24/29181.7.1.25 to 181.7.1.30181.7.1.316
37181.7.1.32/29181.7.1.33 to 181.7.1.38181.7.1.396
38181.7.1.40/29181.7.1.41 to 181.7.1.46181.7.1.476
39181.7.1.48/29181.7.1.49 to 181.7.1.54181.7.1.556
40181.7.1.56/29181.7.1.57 to 181.7.1.62181.7.1.636
41181.7.1.64/29181.7.1.65 to 181.7.1.70181.7.1.716
42181.7.1.72/29181.7.1.73 to 181.7.1.78181.7.1.796
43181.7.1.80/29181.7.1.81 to 181.7.1.86181.7.1.876
44181.7.1.88/29181.7.1.89 to 181.7.1.94181.7.1.956
45181.7.1.96/29181.7.1.97 to 181.7.1.102181.7.1.1036
46181.7.1.104/29181.7.1.105 to 181.7.1.110181.7.1.1116
47181.7.1.112/29181.7.1.113 to 181.7.1.118181.7.1.1196
48181.7.1.120/29181.7.1.121 to 181.7.1.126181.7.1.1276
49181.7.1.128/29181.7.1.129 to 181.7.1.134181.7.1.1356
50181.7.1.136/29181.7.1.137 to 181.7.1.142181.7.1.1436
51181.7.1.144/29181.7.1.145 to 181.7.1.150181.7.1.1516
52181.7.1.152/29181.7.1.153 to 181.7.1.158181.7.1.1596
53181.7.1.160/29181.7.1.161 to 181.7.1.166181.7.1.1676
54181.7.1.168/29181.7.1.169 to 181.7.1.174181.7.1.1756
55181.7.1.176/29181.7.1.177 to 181.7.1.182181.7.1.1836
56181.7.1.184/29181.7.1.185 to 181.7.1.190181.7.1.1916
57181.7.1.192/29181.7.1.193 to 181.7.1.198181.7.1.1996
58181.7.1.200/29181.7.1.201 to 181.7.1.206181.7.1.2076
59181.7.1.208/29181.7.1.209 to 181.7.1.214181.7.1.2156
60181.7.1.216/29181.7.1.217 to 181.7.1.222181.7.1.2236
61181.7.1.224/29181.7.1.225 to 181.7.1.230181.7.1.2316
62181.7.1.232/29181.7.1.233 to 181.7.1.238181.7.1.2396
63181.7.1.240/29181.7.1.241 to 181.7.1.246181.7.1.2476
64181.7.1.248/29181.7.1.249 to 181.7.1.254181.7.1.2556
65181.7.2.0/29181.7.2.1 to 181.7.2.6181.7.2.76
66181.7.2.8/29181.7.2.9 to 181.7.2.14181.7.2.156
67181.7.2.16/29181.7.2.17 to 181.7.2.22181.7.2.236
68181.7.2.24/29181.7.2.25 to 181.7.2.30181.7.2.316
69181.7.2.32/29181.7.2.33 to 181.7.2.38181.7.2.396
70181.7.2.40/29181.7.2.41 to 181.7.2.46181.7.2.476
71181.7.2.48/29181.7.2.49 to 181.7.2.54181.7.2.556
72181.7.2.56/29181.7.2.57 to 181.7.2.62181.7.2.636
73181.7.2.64/29181.7.2.65 to 181.7.2.70181.7.2.716
74181.7.2.72/29181.7.2.73 to 181.7.2.78181.7.2.796
75181.7.2.80/29181.7.2.81 to 181.7.2.86181.7.2.876
76181.7.2.88/29181.7.2.89 to 181.7.2.94181.7.2.956
77181.7.2.96/29181.7.2.97 to 181.7.2.102181.7.2.1036
78181.7.2.104/29181.7.2.105 to 181.7.2.110181.7.2.1116
79181.7.2.112/29181.7.2.113 to 181.7.2.118181.7.2.1196
80181.7.2.120/29181.7.2.121 to 181.7.2.126181.7.2.1276
81181.7.2.128/29181.7.2.129 to 181.7.2.134181.7.2.1356
82181.7.2.136/29181.7.2.137 to 181.7.2.142181.7.2.1436
83181.7.2.144/29181.7.2.145 to 181.7.2.150181.7.2.1516
84181.7.2.152/29181.7.2.153 to 181.7.2.158181.7.2.1596
85181.7.2.160/29181.7.2.161 to 181.7.2.166181.7.2.1676
86181.7.2.168/29181.7.2.169 to 181.7.2.174181.7.2.1756
87181.7.2.176/29181.7.2.177 to 181.7.2.182181.7.2.1836
88181.7.2.184/29181.7.2.185 to 181.7.2.190181.7.2.1916
89181.7.2.192/29181.7.2.193 to 181.7.2.198181.7.2.1996
90181.7.2.200/29181.7.2.201 to 181.7.2.206181.7.2.2076
91181.7.2.208/29181.7.2.209 to 181.7.2.214181.7.2.2156
92181.7.2.216/29181.7.2.217 to 181.7.2.222181.7.2.2236
93181.7.2.224/29181.7.2.225 to 181.7.2.230181.7.2.2316
94181.7.2.232/29181.7.2.233 to 181.7.2.238181.7.2.2396
95181.7.2.240/29181.7.2.241 to 181.7.2.246181.7.2.2476
96181.7.2.248/29181.7.2.249 to 181.7.2.254181.7.2.2556
97181.7.3.0/29181.7.3.1 to 181.7.3.6181.7.3.76
98181.7.3.8/29181.7.3.9 to 181.7.3.14181.7.3.156
99181.7.3.16/29181.7.3.17 to 181.7.3.22181.7.3.236
100181.7.3.24/29181.7.3.25 to 181.7.3.30181.7.3.316
101181.7.3.32/29181.7.3.33 to 181.7.3.38181.7.3.396
102181.7.3.40/29181.7.3.41 to 181.7.3.46181.7.3.476
103181.7.3.48/29181.7.3.49 to 181.7.3.54181.7.3.556
104181.7.3.56/29181.7.3.57 to 181.7.3.62181.7.3.636
105181.7.3.64/29181.7.3.65 to 181.7.3.70181.7.3.716
106181.7.3.72/29181.7.3.73 to 181.7.3.78181.7.3.796
107181.7.3.80/29181.7.3.81 to 181.7.3.86181.7.3.876
108181.7.3.88/29181.7.3.89 to 181.7.3.94181.7.3.956
109181.7.3.96/29181.7.3.97 to 181.7.3.102181.7.3.1036
110181.7.3.104/29181.7.3.105 to 181.7.3.110181.7.3.1116
111181.7.3.112/29181.7.3.113 to 181.7.3.118181.7.3.1196
112181.7.3.120/29181.7.3.121 to 181.7.3.126181.7.3.1276
113181.7.3.128/29181.7.3.129 to 181.7.3.134181.7.3.1356
114181.7.3.136/29181.7.3.137 to 181.7.3.142181.7.3.1436
115181.7.3.144/29181.7.3.145 to 181.7.3.150181.7.3.1516
116181.7.3.152/29181.7.3.153 to 181.7.3.158181.7.3.1596
117181.7.3.160/29181.7.3.161 to 181.7.3.166181.7.3.1676
118181.7.3.168/29181.7.3.169 to 181.7.3.174181.7.3.1756
119181.7.3.176/29181.7.3.177 to 181.7.3.182181.7.3.1836
120181.7.3.184/29181.7.3.185 to 181.7.3.190181.7.3.1916
121181.7.3.192/29181.7.3.193 to 181.7.3.198181.7.3.1996
122181.7.3.200/29181.7.3.201 to 181.7.3.206181.7.3.2076
123181.7.3.208/29181.7.3.209 to 181.7.3.214181.7.3.2156
124181.7.3.216/29181.7.3.217 to 181.7.3.222181.7.3.2236
125181.7.3.224/29181.7.3.225 to 181.7.3.230181.7.3.2316
126181.7.3.232/29181.7.3.233 to 181.7.3.238181.7.3.2396
127181.7.3.240/29181.7.3.241 to 181.7.3.246181.7.3.2476
128181.7.3.248/29181.7.3.249 to 181.7.3.254181.7.3.2556
129181.7.4.0/29181.7.4.1 to 181.7.4.6181.7.4.76
130181.7.4.8/29181.7.4.9 to 181.7.4.14181.7.4.156
131181.7.4.16/29181.7.4.17 to 181.7.4.22181.7.4.236
132181.7.4.24/29181.7.4.25 to 181.7.4.30181.7.4.316
133181.7.4.32/29181.7.4.33 to 181.7.4.38181.7.4.396
134181.7.4.40/29181.7.4.41 to 181.7.4.46181.7.4.476
135181.7.4.48/29181.7.4.49 to 181.7.4.54181.7.4.556
136181.7.4.56/29181.7.4.57 to 181.7.4.62181.7.4.636
137181.7.4.64/29181.7.4.65 to 181.7.4.70181.7.4.716
138181.7.4.72/29181.7.4.73 to 181.7.4.78181.7.4.796
139181.7.4.80/29181.7.4.81 to 181.7.4.86181.7.4.876
140181.7.4.88/29181.7.4.89 to 181.7.4.94181.7.4.956
141181.7.4.96/29181.7.4.97 to 181.7.4.102181.7.4.1036
142181.7.4.104/29181.7.4.105 to 181.7.4.110181.7.4.1116
143181.7.4.112/29181.7.4.113 to 181.7.4.118181.7.4.1196
144181.7.4.120/29181.7.4.121 to 181.7.4.126181.7.4.1276
145181.7.4.128/29181.7.4.129 to 181.7.4.134181.7.4.1356
146181.7.4.136/29181.7.4.137 to 181.7.4.142181.7.4.1436
147181.7.4.144/29181.7.4.145 to 181.7.4.150181.7.4.1516
148181.7.4.152/29181.7.4.153 to 181.7.4.158181.7.4.1596
149181.7.4.160/29181.7.4.161 to 181.7.4.166181.7.4.1676
150181.7.4.168/29181.7.4.169 to 181.7.4.174181.7.4.1756
151181.7.4.176/29181.7.4.177 to 181.7.4.182181.7.4.1836
152181.7.4.184/29181.7.4.185 to 181.7.4.190181.7.4.1916
153181.7.4.192/29181.7.4.193 to 181.7.4.198181.7.4.1996
154181.7.4.200/29181.7.4.201 to 181.7.4.206181.7.4.2076
155181.7.4.208/29181.7.4.209 to 181.7.4.214181.7.4.2156
156181.7.4.216/29181.7.4.217 to 181.7.4.222181.7.4.2236
157181.7.4.224/29181.7.4.225 to 181.7.4.230181.7.4.2316
158181.7.4.232/29181.7.4.233 to 181.7.4.238181.7.4.2396
159181.7.4.240/29181.7.4.241 to 181.7.4.246181.7.4.2476
160181.7.4.248/29181.7.4.249 to 181.7.4.254181.7.4.2556
161181.7.5.0/29181.7.5.1 to 181.7.5.6181.7.5.76
162181.7.5.8/29181.7.5.9 to 181.7.5.14181.7.5.156
163181.7.5.16/29181.7.5.17 to 181.7.5.22181.7.5.236
164181.7.5.24/29181.7.5.25 to 181.7.5.30181.7.5.316
165181.7.5.32/29181.7.5.33 to 181.7.5.38181.7.5.396
166181.7.5.40/29181.7.5.41 to 181.7.5.46181.7.5.476
167181.7.5.48/29181.7.5.49 to 181.7.5.54181.7.5.556
168181.7.5.56/29181.7.5.57 to 181.7.5.62181.7.5.636
169181.7.5.64/29181.7.5.65 to 181.7.5.70181.7.5.716
170181.7.5.72/29181.7.5.73 to 181.7.5.78181.7.5.796
171181.7.5.80/29181.7.5.81 to 181.7.5.86181.7.5.876
172181.7.5.88/29181.7.5.89 to 181.7.5.94181.7.5.956
173181.7.5.96/29181.7.5.97 to 181.7.5.102181.7.5.1036
174181.7.5.104/29181.7.5.105 to 181.7.5.110181.7.5.1116
175181.7.5.112/29181.7.5.113 to 181.7.5.118181.7.5.1196
176181.7.5.120/29181.7.5.121 to 181.7.5.126181.7.5.1276
177181.7.5.128/29181.7.5.129 to 181.7.5.134181.7.5.1356
178181.7.5.136/29181.7.5.137 to 181.7.5.142181.7.5.1436
179181.7.5.144/29181.7.5.145 to 181.7.5.150181.7.5.1516
180181.7.5.152/29181.7.5.153 to 181.7.5.158181.7.5.1596
181181.7.5.160/29181.7.5.161 to 181.7.5.166181.7.5.1676
182181.7.5.168/29181.7.5.169 to 181.7.5.174181.7.5.1756
183181.7.5.176/29181.7.5.177 to 181.7.5.182181.7.5.1836
184181.7.5.184/29181.7.5.185 to 181.7.5.190181.7.5.1916
185181.7.5.192/29181.7.5.193 to 181.7.5.198181.7.5.1996
186181.7.5.200/29181.7.5.201 to 181.7.5.206181.7.5.2076
187181.7.5.208/29181.7.5.209 to 181.7.5.214181.7.5.2156
188181.7.5.216/29181.7.5.217 to 181.7.5.222181.7.5.2236
189181.7.5.224/29181.7.5.225 to 181.7.5.230181.7.5.2316
190181.7.5.232/29181.7.5.233 to 181.7.5.238181.7.5.2396
191181.7.5.240/29181.7.5.241 to 181.7.5.246181.7.5.2476
192181.7.5.248/29181.7.5.249 to 181.7.5.254181.7.5.2556
193181.7.6.0/29181.7.6.1 to 181.7.6.6181.7.6.76
194181.7.6.8/29181.7.6.9 to 181.7.6.14181.7.6.156
195181.7.6.16/29181.7.6.17 to 181.7.6.22181.7.6.236
196181.7.6.24/29181.7.6.25 to 181.7.6.30181.7.6.316
197181.7.6.32/29181.7.6.33 to 181.7.6.38181.7.6.396
198181.7.6.40/29181.7.6.41 to 181.7.6.46181.7.6.476
199181.7.6.48/29181.7.6.49 to 181.7.6.54181.7.6.556
200181.7.6.56/29181.7.6.57 to 181.7.6.62181.7.6.636
201181.7.6.64/29181.7.6.65 to 181.7.6.70181.7.6.716
202181.7.6.72/29181.7.6.73 to 181.7.6.78181.7.6.796
203181.7.6.80/29181.7.6.81 to 181.7.6.86181.7.6.876
204181.7.6.88/29181.7.6.89 to 181.7.6.94181.7.6.956
205181.7.6.96/29181.7.6.97 to 181.7.6.102181.7.6.1036
206181.7.6.104/29181.7.6.105 to 181.7.6.110181.7.6.1116
207181.7.6.112/29181.7.6.113 to 181.7.6.118181.7.6.1196
208181.7.6.120/29181.7.6.121 to 181.7.6.126181.7.6.1276
209181.7.6.128/29181.7.6.129 to 181.7.6.134181.7.6.1356
210181.7.6.136/29181.7.6.137 to 181.7.6.142181.7.6.1436
211181.7.6.144/29181.7.6.145 to 181.7.6.150181.7.6.1516
212181.7.6.152/29181.7.6.153 to 181.7.6.158181.7.6.1596
213181.7.6.160/29181.7.6.161 to 181.7.6.166181.7.6.1676
214181.7.6.168/29181.7.6.169 to 181.7.6.174181.7.6.1756
215181.7.6.176/29181.7.6.177 to 181.7.6.182181.7.6.1836
216181.7.6.184/29181.7.6.185 to 181.7.6.190181.7.6.1916
217181.7.6.192/29181.7.6.193 to 181.7.6.198181.7.6.1996
218181.7.6.200/29181.7.6.201 to 181.7.6.206181.7.6.2076
219181.7.6.208/29181.7.6.209 to 181.7.6.214181.7.6.2156
220181.7.6.216/29181.7.6.217 to 181.7.6.222181.7.6.2236
221181.7.6.224/29181.7.6.225 to 181.7.6.230181.7.6.2316
222181.7.6.232/29181.7.6.233 to 181.7.6.238181.7.6.2396
223181.7.6.240/29181.7.6.241 to 181.7.6.246181.7.6.2476
224181.7.6.248/29181.7.6.249 to 181.7.6.254181.7.6.2556
225181.7.7.0/29181.7.7.1 to 181.7.7.6181.7.7.76
226181.7.7.8/29181.7.7.9 to 181.7.7.14181.7.7.156
227181.7.7.16/29181.7.7.17 to 181.7.7.22181.7.7.236
228181.7.7.24/29181.7.7.25 to 181.7.7.30181.7.7.316
229181.7.7.32/29181.7.7.33 to 181.7.7.38181.7.7.396
230181.7.7.40/29181.7.7.41 to 181.7.7.46181.7.7.476
231181.7.7.48/29181.7.7.49 to 181.7.7.54181.7.7.556
232181.7.7.56/29181.7.7.57 to 181.7.7.62181.7.7.636
233181.7.7.64/29181.7.7.65 to 181.7.7.70181.7.7.716
234181.7.7.72/29181.7.7.73 to 181.7.7.78181.7.7.796
235181.7.7.80/29181.7.7.81 to 181.7.7.86181.7.7.876
236181.7.7.88/29181.7.7.89 to 181.7.7.94181.7.7.956
237181.7.7.96/29181.7.7.97 to 181.7.7.102181.7.7.1036
238181.7.7.104/29181.7.7.105 to 181.7.7.110181.7.7.1116
239181.7.7.112/29181.7.7.113 to 181.7.7.118181.7.7.1196
240181.7.7.120/29181.7.7.121 to 181.7.7.126181.7.7.1276
241181.7.7.128/29181.7.7.129 to 181.7.7.134181.7.7.1356
242181.7.7.136/29181.7.7.137 to 181.7.7.142181.7.7.1436
243181.7.7.144/29181.7.7.145 to 181.7.7.150181.7.7.1516
244181.7.7.152/29181.7.7.153 to 181.7.7.158181.7.7.1596
245181.7.7.160/29181.7.7.161 to 181.7.7.166181.7.7.1676
246181.7.7.168/29181.7.7.169 to 181.7.7.174181.7.7.1756
247181.7.7.176/29181.7.7.177 to 181.7.7.182181.7.7.1836
248181.7.7.184/29181.7.7.185 to 181.7.7.190181.7.7.1916
249181.7.7.192/29181.7.7.193 to 181.7.7.198181.7.7.1996
250181.7.7.200/29181.7.7.201 to 181.7.7.206181.7.7.2076
251181.7.7.208/29181.7.7.209 to 181.7.7.214181.7.7.2156
252181.7.7.216/29181.7.7.217 to 181.7.7.222181.7.7.2236
253181.7.7.224/29181.7.7.225 to 181.7.7.230181.7.7.2316
254181.7.7.232/29181.7.7.233 to 181.7.7.238181.7.7.2396
255181.7.7.240/29181.7.7.241 to 181.7.7.246181.7.7.2476
256181.7.7.248/29181.7.7.249 to 181.7.7.254181.7.7.2556

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses